ERROR: unexpected error - 'NoneType' object has no attribute 'flush'

Hi,

Trying to use DVC on windows, got the error below when trying to track a data file with DVC.
Any idea of the cause and how to resolve ?
Thanks !

$ dvc add testfi.csv -vv
2022-01-31 16:02:39,340 TRACE: Namespace(cd=’.’, cmd=‘add’, cprofile=False, cprofile_dump=None, desc=None, external=False, file=None, func=<class ‘dvc.command.add.CmdAdd’>, glob=False, instrument=False, instrument_open=False, jobs=None, no_commit=False, out=None, pdb=False, quiet=0, recursive=False, remote=None, targets=[‘testfi.csv’], to_remote=False, verbose=2, version=None, yappi=False)
2022-01-31 16:02:39,743 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-01-31 16:02:39,762 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-01-31 16:02:39,763 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-01-31 16:02:39,777 ERROR: unexpected error - ‘NoneType’ object has no attribute ‘flush’

Traceback (most recent call last):
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\main.py”, line 55, in main
ret = cmd.do_run()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\command\base.py”, line 45, in do_run
return self.run()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\command\add.py”, line 21, in run
self.repo.add(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\utils\collections.py”, line 163, in inner
result = func(*ba.args, **ba.kwargs)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\repo_init_.py”, line 48, in wrapper
with lock_repo(repo):
File “C:\Users\ddumet\AppData\Local\Programs\Python\Python38\lib\contextlib.py”, line 113, in enter
return next(self.gen)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\repo_init_.py”, line 36, in lock_repo
with repo.lock:
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 131, in enter
self.lock()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 120, in lock
lock_retry()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\decorators.py”, line 45, in wrapper
return deco(call, *dargs, **dkwargs)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\flow.py”, line 127, in retry
return call()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\decorators.py”, line 66, in call
return self._func(*self._args, **self._kwargs)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 103, in _do_lock
with Tqdm(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\progress.py”, line 85, in init
super().init(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\tqdm\std.py”, line 1107, in init
self.sp = self.status_printer(self.fp)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\tqdm\std.py”, line 339, in status_printer
sys.stderr.flush()
AttributeError: ‘NoneType’ object has no attribute ‘flush’

2022-01-31 16:02:40,219 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-01-31 16:02:40,224 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-01-31 16:02:40,225 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-01-31 16:02:40,236 DEBUG: Version info for developers:
DVC version: 2.9.3 (pip)

Platform: Python 3.8.10 on Windows-10-10.0.22000-SP0
Supports:
webhdfs (fsspec = 2022.1.0),
http (aiohttp = 3.8.1, aiohttp-retry = 2.4.6),
https (aiohttp = 3.8.1, aiohttp-retry = 2.4.6)
Cache types: https://error.dvc.org/no-dvc-cache
Caches: local
Remotes: None
Workspace directory: NTFS on C:
Repo: dvc, git

Hey :slight_smile:

Could you show us pip check and pip freeze, please?

Btw, are you familiar with chocolatey? If you are, could you try uninstalling dvc and installing dvc with choco install dvc, to see if that would result in a different error?

Hello,

Thanks for your answer. Below, pip check and pip freeze:

$ pip check
No broken requirements found.
(venv-senseen)

$ pip freeze
absl-py==1.0.0
aiohttp==3.8.1
aiohttp-retry==2.4.6
aiosignal==1.2.0
appdirs==1.4.4
argon2-cffi==21.3.0
argon2-cffi-bindings==21.2.0
asttokens==2.0.5
async-timeout==4.0.2
asyncssh==2.8.1
atpublic==3.0.1
attrs==21.4.0
backcall==0.2.0
black==22.1.0
bleach==4.1.0
cachetools==4.2.4
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.11
click==8.0.3
colorama==0.4.4
commonmark==0.9.1
configobj==5.0.6
cryptography==36.0.1
debugpy==1.5.1
decorator==5.1.1
defusedxml==0.7.1
dictdiffer==0.9.0
diskcache==5.4.0
distro==1.6.0
dpath==2.0.5
dulwich==0.20.32
dvc==2.9.3
entrypoints==0.3
executing==0.8.2
flatten-dict==0.4.2
flufl.lock==7.0
frozenlist==1.3.0
fsspec==2022.1.0
ftfy==6.0.3
funcy==1.17
future==0.18.2
gitdb==4.0.9
GitPython==3.1.26
google-auth==1.35.0
google-auth-oauthlib==0.4.6
grandalf==0.6
grpcio==1.43.0
idna==3.3
importlib-metadata==4.10.1
importlib-resources==5.4.0
ipykernel==6.7.0
ipython==8.0.1
ipython-genutils==0.2.0
ipywidgets==7.6.5
jedi==0.18.1
Jinja2==3.0.3
jsonschema==4.4.0
jupyter==1.0.0
jupyter-client==7.1.2
jupyter-console==6.4.0
jupyter-core==4.9.1
jupyterlab-pygments==0.1.2
jupyterlab-widgets==1.0.2
mailchecker==4.1.10
Markdown==3.3.6
MarkupSafe==2.0.1
matplotlib-inline==0.1.3
mistune==0.8.4
multidict==6.0.2
mypy-extensions==0.4.3
nanotime==0.5.2
nbclient==0.5.10
nbconvert==6.4.1
nbformat==5.1.3
nest-asyncio==1.5.4
networkx==2.6.3
notebook==6.4.8
numpy==1.22.1
oauthlib==3.2.0
packaging==21.3
pandas==1.4.0
pandocfilters==1.5.0
parso==0.8.3
pathspec==0.9.0
phonenumbers==8.12.42
pickleshare==0.7.5
Pillow==9.0.0
platformdirs==2.4.1
ply==3.11
prometheus-client==0.13.1
prompt-toolkit==3.0.26
protobuf==3.19.4
psutil==5.9.0
pure-eval==0.2.2
pyasn1==0.4.8
pyasn1-modules==0.2.8
pycparser==2.21
pydot==1.4.2
pygit2==1.7.2
Pygments==2.11.2
pygtrie==2.4.2
pyparsing==3.0.7
pyrsistent==0.18.1
python-benedict==0.24.3
python-dateutil==2.8.2
python-fsutil==0.6.0
python-slugify==5.0.2
pytz==2021.3
pywin32==303
pywinpty==2.0.1
PyYAML==6.0
pyzmq==22.3.0
qtconsole==5.2.2
QtPy==2.0.0
requests==2.27.1
requests-oauthlib==1.3.1
rich==11.1.0
rsa==4.8
ruamel.yaml==0.17.20
ruamel.yaml.clib==0.2.6
scmrepo==0.0.7
Send2Trash==1.8.0
shortuuid==1.0.8
shtab==1.5.3
six==1.16.0
smmap==5.0.0
stack-data==0.1.4
tabulate==0.8.9
tensorboard==2.3.0
tensorboard-plugin-wit==1.8.1
terminado==0.13.1
testpath==0.5.0
text-unidecode==1.3
toml==0.10.2
tomli==2.0.0
torch==1.9.0
torchvision==0.10.0
tornado==6.1
tqdm==4.62.3
traitlets==5.1.1
typing_extensions==4.0.1
urllib3==1.26.8
voluptuous==0.12.2
wcwidth==0.2.5
webencodings==0.5.1
Werkzeug==2.0.2
widgetsnbextension==3.5.2
xmltodict==0.12.0
yarl==1.7.2
zc.lockfile==2.0
zipp==3.7.0
(venv-senseen)

I also went through the process of installing chocolatey and installing dvc with “choco install dvc”, but ends up with the same issue:

$ dvc add testfi.csv -vv
2022-02-01 09:25:07,996 TRACE: Namespace(cprofile=False, yappi=False, cprofile_dump=None, pdb=False, instrument=False, instrument_open=False, quiet=0, verbose=2, version=None, cd=’.’, cmd=‘add’, recursive=False, no_commit=False, external=False, glob=False, file=None, out=None, to_remote=False, remote=None, jobs=None, desc=None, targets=[‘testfi.csv’], func=<class ‘dvc.command.add.CmdAdd’>)
2022-02-01 09:25:08,324 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-02-01 09:25:08,334 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-02-01 09:25:08,334 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-02-01 09:25:08,344 ERROR: unexpected error - ‘NoneType’ object has no attribute ‘flush’

Traceback (most recent call last):
File “C:\Python39\lib\site-packages\dvc\main.py”, line 55, in main
ret = cmd.do_run()
File “C:\Python39\lib\site-packages\dvc\command\base.py”, line 45, in do_run
return self.run()
File “C:\Python39\lib\site-packages\dvc\command\add.py”, line 21, in run
self.repo.add(
File “C:\Python39\lib\site-packages\dvc\utils\collections.py”, line 163, in inner
result = func(*ba.args, **ba.kwargs)
File “C:\Python39\lib\site-packages\dvc\repo_init_.py”, line 48, in wrapper
with lock_repo(repo):
File “C:\Python39\lib\contextlib.py”, line 117, in enter
return next(self.gen)
File “C:\Python39\lib\site-packages\dvc\repo_init_.py”, line 36, in lock_repo
with repo.lock:
File “C:\Python39\lib\site-packages\dvc\lock.py”, line 131, in enter
self.lock()
File “C:\Python39\lib\site-packages\dvc\lock.py”, line 120, in lock
lock_retry()
File “C:\Python39\lib\site-packages\funcy\decorators.py”, line 45, in wrapper
return deco(call, *dargs, **dkwargs)
File “C:\Python39\lib\site-packages\funcy\flow.py”, line 127, in retry
return call()
File “C:\Python39\lib\site-packages\funcy\decorators.py”, line 66, in call
return self._func(*self._args, **self._kwargs)
File “C:\Python39\lib\site-packages\dvc\lock.py”, line 103, in _do_lock
with Tqdm(
File “C:\Python39\lib\site-packages\dvc\progress.py”, line 85, in init
super().init(
File “C:\Python39\lib\site-packages\tqdm\std.py”, line 1107, in init
self.sp = self.status_printer(self.fp)
File “C:\Python39\lib\site-packages\tqdm\std.py”, line 339, in status_printer
sys.stderr.flush()
AttributeError: ‘NoneType’ object has no attribute ‘flush’

2022-02-01 09:25:09,584 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-02-01 09:25:09,584 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-02-01 09:25:09,589 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-02-01 09:25:09,594 DEBUG: Version info for developers:
DVC version: 2.9.3 (choco)

Platform: Python 3.9.0 on Windows-10-10.0.22000-SP0
Supports:
azure (adlfs = 2021.10.0, knack = 0.9.0, azure-identity = 1.7.1),
gdrive (pydrive2 = 1.10.0),
gs (gcsfs = 2022.1.0),
webhdfs (fsspec = 2022.1.0),
http (aiohttp = 3.8.1, aiohttp-retry = 2.4.6),
https (aiohttp = 3.8.1, aiohttp-retry = 2.4.6),
s3 (s3fs = 2022.1.0, boto3 = 1.20.24),
ssh (sshfs = 2021.11.2),
oss (ossfs = 2021.8.0)
Cache types: https://error.dvc.org/no-dvc-cache
Caches: local
Remotes: None
Workspace directory: NTFS on C:
Repo: dvc, git

Having any troubles? Hit us up at https://dvc.org/support, we are always happy to help!
2022-02-01 09:25:09,594 DEBUG: Analytics is enabled.
2022-02-01 09:25:09,854 DEBUG: Trying to spawn ‘[‘daemon’, ‘-q’, ‘analytics’, ‘C:\Users\ddumet\AppData\Local\Temp\tmp286883cx’]’
2022-02-01 09:25:09,854 DEBUG: Spawned ‘[‘daemon’, ‘-q’, ‘analytics’, ‘C:\Users\ddumet\AppData\Local\Temp\tmp286883cx’]’

Hi ddumet,

is this only happening for dvc add or also for other commands? What terminal are you using? Does switching to other windows terminals solve the issue? (see https://dvc.org/doc/user-guide/running-dvc-on-windows).

Since it looks like it’s tqdm related, you could try opening an issue there: https://github.com/tqdm/tqdm/issues

Hello,
Thanks for your answer.
I’m using git bash (git for windows).

I also tried a dvc push, I do have the exact same error:

$ dvc push toto.csv -vv
2022-02-04 08:47:19,419 TRACE: Namespace(all_branches=False, all_commits=False, all_tags=False, cd=’.’, cmd=‘push’, cprofile=False, cprofile_dump=None, func=<class ‘dvc.command.data_sync.CmdDataPush’>, glob=False, instrument=False, instrument_open=False, jobs=None, pdb=False, quiet=0, recursive=False, remote=None, run_cache=False, targets=[‘toto.csv’], verbose=2, version=None, with_deps=False, yappi=False)
2022-02-04 08:47:19,795 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-02-04 08:47:19,815 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-02-04 08:47:19,816 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-02-04 08:47:19,828 ERROR: unexpected error - ‘NoneType’ object has no attribute ‘flush’

Traceback (most recent call last):
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\main.py”, line 55, in main
ret = cmd.do_run()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\command\base.py”, line 45, in do_run
return self.run()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\command\data_sync.py”, line 57, in run
processed_files_count = self.repo.push(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\repo_init_.py”, line 48, in wrapper
with lock_repo(repo):
File “C:\Users\ddumet\AppData\Local\Programs\Python\Python38\lib\contextlib.py”, line 113, in enter
return next(self.gen)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\repo_init_.py”, line 36, in lock_repo
with repo.lock:
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 131, in enter
self.lock()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 120, in lock
lock_retry()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\decorators.py”, line 45, in wrapper
return deco(call, *dargs, **dkwargs)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\flow.py”, line 127, in retry
return call()
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\funcy\decorators.py”, line 66, in call
return self._func(*self._args, **self._kwargs)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\lock.py”, line 103, in _do_lock
with Tqdm(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\dvc\progress.py”, line 85, in init
super().init(
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\tqdm\std.py”, line 1107, in init
self.sp = self.status_printer(self.fp)
File “c:\users\ddumet\pythonenvs\venv-senseen\lib\site-packages\tqdm\std.py”, line 339, in status_printer
sys.stderr.flush()
AttributeError: ‘NoneType’ object has no attribute ‘flush’

2022-02-04 08:47:20,286 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\config.local’ to gitignore file.
2022-02-04 08:47:20,294 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\tmp’ to gitignore file.
2022-02-04 08:47:20,295 DEBUG: Adding ‘C:\senseen-datasets-repos.dvc\cache’ to gitignore file.
2022-02-04 08:47:20,307 DEBUG: Version info for developers:
DVC version: 2.9.3 (pip)

Platform: Python 3.8.10 on Windows-10-10.0.22000-SP0

Hey ddumet, sorry for taking so long to reply.

The issue is really weird. Would you mind trying to run dvc using WSL?

Hello,

Thanks for your answer.
I tried on WSL (ubuntu) and it seems to work indeed (although I could see some errors when using -vv flag, see below).
Both dvc add and dvc push were working.

I checked the version of tqdm, they are the same on windows and WSL. My computer has recently updated to windows 11.
I’ve tried to downgrade tqdm to different version, but no luck, still the same error.
Any recommendation you could do to make DVC work on windows ?
Thanks,

dvc add test2.csv -vv
2022-02-10 13:30:24,401 TRACE: Namespace(cd=’.’, cmd=‘add’, cprofile=False, cprofile_dump=None, desc=None, external=False, file=None, func=<class ‘dvc.command.add.CmdAdd’>, glob=False, instrument=False, instrument_open=False, jobs=None, no_commit=False, out=None, pdb=False, quiet=0, recursive=False, remote=None, targets=[‘test2.csv’], to_remote=False, verbose=2, version=None, yappi=False)
2022-02-10 13:30:24,559 DEBUG: Adding ‘/home/didier/datasets-repos/.dvc/config.local’ to gitignore file.
2022-02-10 13:30:24,561 DEBUG: Adding ‘/home/didier/datasets-repos/.dvc/tmp’ to gitignore file.
2022-02-10 13:30:24,561 DEBUG: Adding ‘/home/didier/datasets-repos/.dvc/cache’ to gitignore file.
2022-02-10 13:30:24,666 DEBUG: Adding ‘/home/didier/datasets-repos/test2.csv’ to gitignore file.
2022-02-10 13:30:24,667 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,668 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,669 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,669 DEBUG: state save (11416, 1644496066233232128, 27) ecf86fface89c5b04421245a9a598a72
2022-02-10 13:30:24,680 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,680 DEBUG: state save (11416, 1644496066233232128, 27) ecf86fface89c5b04421245a9a598a72
2022-02-10 13:30:24,681 DEBUG: Computed stage: ‘test2.csv.dvc’ md5: ‘None’
2022-02-10 13:30:24,683 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,684 DEBUG: Preparing to transfer data from ‘memory://dvc-staging/111e5bbd93d303842a7b18414fc5e8a8c72e43ecc5611fe7b63fed6440068e11’ to ‘/home/didier/datasets-repos/.dvc/cache’
2022-02-10 13:30:24,684 DEBUG: Preparing to collect status from ‘/home/didier/datasets-repos/.dvc/cache’
2022-02-10 13:30:24,684 DEBUG: Collecting status from ‘/home/didier/datasets-repos/.dvc/cache’
2022-02-10 13:30:24,685 DEBUG: Preparing to collect status from ‘memory://dvc-staging/111e5bbd93d303842a7b18414fc5e8a8c72e43ecc5611fe7b63fed6440068e11’
2022-02-10 13:30:24,687 TRACE: Path ‘/home/didier/datasets-repos/.dvc/cache/ec/f86fface89c5b04421245a9a598a72’ inode ‘11416’
2022-02-10 13:30:24,688 DEBUG: state save (11416, 1644496066233232128, 27) ecf86fface89c5b04421245a9a598a72
2022-02-10 13:30:24,691 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11416’
2022-02-10 13:30:24,692 TRACE: Assuming ‘/home/didier/datasets-repos/.dvc/cache/ec/f86fface89c5b04421245a9a598a72’ is unchanged since it is read-only
2022-02-10 13:30:24,692 TRACE: Assuming ‘/home/didier/datasets-repos/.dvc/cache/ec/f86fface89c5b04421245a9a598a72’ is unchanged since it is read-only
2022-02-10 13:30:24,693 TRACE: Assuming ‘/home/didier/datasets-repos/.dvc/cache/ec/f86fface89c5b04421245a9a598a72’ is unchanged since it is read-only
2022-02-10 13:30:24,693 DEBUG: [Errno 95] no more link types left to try out: [Errno 95] ‘reflink’ is not supported by <class ‘dvc.fs.local.LocalFileSystem’>: [Errno 95] Operation not supported

Traceback (most recent call last):
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/utils.py”, line 28, in _link
func(from_path, to_path)
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/local.py”, line 148, in reflink
System.reflink(from_info, to_info)
File “/home/didier/.local/lib/python3.8/site-packages/dvc/system.py”, line 112, in reflink
System._reflink_linux(source, link_name)
File “/home/didier/.local/lib/python3.8/site-packages/dvc/system.py”, line 96, in _reflink_linux
fcntl.ioctl(d.fileno(), FICLONE, s.fileno())
OSError: [Errno 95] Operation not supported

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/utils.py”, line 69, in _try_links
return _link(link, from_fs, from_path, to_fs, to_path)
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/utils.py”, line 32, in _link
raise OSError(
OSError: [Errno 95] ‘reflink’ is not supported by <class ‘dvc.fs.local.LocalFileSystem’>

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/utils.py”, line 124, in _test_link
_try_links([link], from_fs, from_file, to_fs, to_file)
File “/home/didier/.local/lib/python3.8/site-packages/dvc/fs/utils.py”, line 77, in _try_links
raise OSError(
OSError: [Errno 95] no more link types left to try out

2022-02-10 13:30:24,694 DEBUG: Removing ‘/home/didier/datasets-repos/.CecdRw5biyqkrbbVVCg7zb.tmp’
2022-02-10 13:30:24,695 DEBUG: Uploading ‘/home/didier/datasets-repos/.dvc/cache/.DoCbmRNy5swfv9MEhHkVbR.tmp’ to ‘/home/didier/datasets-repos/.CecdRw5biyqkrbbVVCg7zb.tmp’
2022-02-10 13:30:24,696 DEBUG: Removing ‘/home/didier/datasets-repos/.CecdRw5biyqkrbbVVCg7zb.tmp’
2022-02-10 13:30:24,697 DEBUG: Removing ‘/home/didier/datasets-repos/.dvc/cache/.DoCbmRNy5swfv9MEhHkVbR.tmp’
2022-02-10 13:30:24,697 DEBUG: Removing ‘/home/didier/datasets-repos/test2.csv’
2022-02-10 13:30:24,698 DEBUG: Uploading ‘/home/didier/datasets-repos/.dvc/cache/ec/f86fface89c5b04421245a9a598a72’ to ‘/home/didier/datasets-repos/test2.csv’
2022-02-10 13:30:24,699 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11423’
2022-02-10 13:30:24,699 DEBUG: state save (11423, 1644496224690000128, 27) ecf86fface89c5b04421245a9a598a72
2022-02-10 13:30:24,699 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11423’
2022-02-10 13:30:24,718 TRACE: Path ‘/home/didier/datasets-repos/test2.csv’ inode ‘11423’
2022-02-10 13:30:24,718 DEBUG: state save (11423, 1644496224690000128, 27) ecf86fface89c5b04421245a9a598a72
2022-02-10 13:30:24,719 DEBUG: Saving information to ‘test2.csv.dvc’

Hi,

glad to hear that using WSL worked! The errors you’re seeing can be ignored, they’re just shown because of trace logging (-vv).

About the tqdm issue: you could try opening an issue to tqdm on github adding more detail about your setup (Issues · tqdm/tqdm · GitHub).